package com.tax.file.job;


import com.dangdang.ddframe.job.api.ShardingContext;
import com.dangdang.ddframe.job.api.simple.SimpleJob;
import com.tax.file.service.async.down.FileDownTask;
import com.yxcheng.token.utils.UUIDGenerator;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class DownFileJob implements SimpleJob {

    private static final Logger logger = LoggerFactory.getLogger(DownFileJob.class);

    @Autowired
    private FileDownTask fileDownTask;

    @Override
    public void execute(ShardingContext shardingContext) {
        String uuidFlag = UUIDGenerator.generate();
        logger.info(uuidFlag + " DownFileJob is start");
        fileDownTask.downFile(uuidFlag);
        logger.info(uuidFlag + " DownFileJob is end");
    }
}
